Bug 1362270 - [RFE] Show what triggered a build
Summary: [RFE] Show what triggered a build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 19:10 UTC by Brennan Vincello
Modified: 2017-03-08 18:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:42:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Brennan Vincello 2016-08-01 19:10:09 UTC
RFE created to track release of: 
https://trello.com/c/wNcCnHPL/653-1-show-what-triggered-a-build

As an openshift user, we have builds with a mixture of git webhooks and ImageStream triggers. When new builds are triggered, we'd like to see what caused the new build.

Submitted on behalf of client.

Comment 1 Jessica Forrester 2016-08-01 20:50:38 UTC
Story is already implemented, just moving to correct tracking categories for RFE bugs

Comment 2 Miheer Salunke 2016-08-02 09:47:54 UTC
1. Proposed title of this feature request  

Feedback about which trigger caused a build to fire

3. What is the nature and description of the request?  


When we have a build with a mixture of git (webhook) and ImageStream triggers - how can we see which trigger caused the build to start?  I would expect something in the CLI or gui which highlights which trigger caused the build.

We would also like to know whether we can have openshift trigger some sort of output plugin which is able to send an email or update an chatroom with details when a new build is triggered or completed successfully or failed?


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
https://trello.com/c/wozDHSJ2/717-8-track-reason-a-build-was-run-triggered

https://github.com/openshift/origin/pull/7518
    
10. List any affected packages or components.
builds,cli,webconsole.

Comment 5 errata-xmlrpc 2016-09-27 09:42:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.